org.eclipse.jgit.api

## Class SubmoduleStatusCommand

- java.lang.Object
- - org.eclipse.jgit.api.GitCommand<Map<String,SubmoduleStatus>>
  - - org.eclipse.jgit.api.SubmoduleStatusCommand

All Implemented Interfaces:
  Callable<Map<String,SubmoduleStatus>>

    public class SubmoduleStatusCommand
    extends GitCommand<Map<String,SubmoduleStatus>>

A class used to execute a submodule status command.

See Also:
  Git documentation about submodules

### Field Summary

### Fields inherited from class org.eclipse.jgit.api.GitCommand

`repo`

### Constructor Summary

Constructors
Constructor and Description
`SubmoduleStatusCommand(Repository repo)`

### Method Summary

Methods
`SubmoduleStatusCommand` `addPath(String path)` Add repository-relative submodule path to limit status reporting to
`Map<String,SubmoduleStatus>` `call()` Executes the command

### Methods inherited from class org.eclipse.jgit.api.GitCommand

`checkCallable, getRepository, setCallable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubmoduleStatusCommand

    public SubmoduleStatusCommand(Repository repo)

Parameters:
  `repo` -

### Method Detail

#### addPath

    public SubmoduleStatusCommand addPath(String path)

Add repository-relative submodule path to limit status reporting to

Parameters:
  `path` - (with `/` as separator)
Returns:
  this command

#### call

    public Map<String,SubmoduleStatus> call()
                                     throws GitAPIException

Description copied from class: `GitCommand`
Executes the command

Specified by:
  `call` in interface `Callable<Map<String,SubmoduleStatus>>`
Specified by:
  `call` in class `GitCommand<Map<String,SubmoduleStatus>>`
Returns:
  T a result. Each command has its own return type
Throws:
  `GitAPIException` - or subclass thereof when an error occurs